### Method

# Ide DebuggerLibrary get_ranges

#### Declaration

    GPtrArray*
    ide_debugger_library_get_ranges (
      IdeDebuggerLibrary* self
    )

#### Description

Gets the list of address ranges for the library.

Available since: | 3.32

#### Return value

Returns: | An array of `const IdeDebuggerAddressRange*`
| A `GPtrArray` containing the list of address ranges.
| The data is owned by the instance.